<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddTranscoderReq StructType
 * @subpackage Structs
 */
class AddTranscoderReq extends APIRequest
{
    /**
     * The transcoder
     * @var XTranscoder
     */
    public $transcoder;
    /**
     * Constructor method for AddTranscoderReq
     * @uses AddTranscoderReq::setTranscoder()
     * @param XTranscoder $transcoder
     */
    public function __construct(XTranscoder $transcoder = null)
    {
        $this
            ->setTranscoder($transcoder);
    }
    /**
     * Get transcoder value
     * @return XTranscoder|null
     */
    public function getTranscoder()
    {
        return $this->transcoder;
    }
    /**
     * Set transcoder value
     * @param XTranscoder $transcoder
     * @return AddTranscoderReq
     */
    public function setTranscoder(XTranscoder $transcoder = null)
    {
        $this->transcoder = $transcoder;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddTranscoderReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
